## lumino 2024.3.25

=== docs/Makefile ===
# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.

# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## lumino 0~20200824+git93880412

=== debian/changelog ===
lumino (0~20200824+git93880412-2) unstable; urgency=medium

  [ lintian-brush ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Xavier Guimard ]
  * Bump standards-version to 4.5.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 22 Nov 2020 21:28:32 +0100

lumino (0~20200824+git93880412-1) unstable; urgency=medium

  * Initial release (Closes: #972487)

 -- Julien Puydt <jpuydt@debian.org>  Sun, 08 Nov 2020 20:46:50 +0100

=== debian/control ===
Source: lumino
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13),
               mocha <!nocheck>,
               node-css-loader,
               node-es6-promise,
               node-file-loader,
               node-style-loader,
               node-tslib,
               node-typescript,
               node-typescript-types,
               nodejs,
               dh-sequence-nodejs,
               rollup,
               webpack
Standards-Version: 4.5.1
Homepage: https://github.com/jupyterlab/lumino
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/js-team/lumino.git
Vcs-Browser: https://salsa.debian.org/js-team/lumino

Package: node-lumino
Architecture: all
Multi-Arch: foreign
Depends: nodejs, node-tslib, ${misc:Depends}
Provides: node-lumino-datastore, ${nodejs:Provides}
Description: large set of libraries to develop Node.js applications
 This package provides these libraries :
  * algorithm
  * application
  * commands
  * coreutils
  * disposable
  * domutils
  * dragdrop
  * keyboard
  * messaging
  * polling
  * properties
  * signaling
  * virtualdom
  * widgets
 .
 It used to be PhosphorJS.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	for package in algorithm coreutils keyboard properties \
		collections domutils signaling virtualdom \
		disposable messaging \
		datastore dragdrop commands polling \
		widgets \
		application datagrid; do \
          (cd packages/$$package && echo "Compiling $$package" \
	   && tsc && rollup lib/*.js -f cjs -m -d dist) ; \
	done
	ln -s packages/ @lumino
	for example in example-datagrid ; do \
	  (cd examples/$$example && echo "Compiling $$example" \
	  && tsc && webpack) ; \
	done

=== debian/watch ===
version=4
# not possible currently: bug #972608

## lumino 2021.9.30

=== debian/changelog ===
lumino (2021.9.30-1) unstable; urgency=medium

  * New upstream release.
  * Refresh the patch to build under Debian.
  * Drop the patch unbreaking typescript 4.4 (upstream).

 -- Julien Puydt <jpuydt@debian.org>  Sun, 03 Oct 2021 22:14:03 +0200

lumino (2021.8.23-2) unstable; urgency=medium

  * Drop the dep on nodejs for the main package.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 28 Sep 2021 08:06:48 +0200

lumino (2021.8.23-1) experimental; urgency=medium

  * Adapt d/watch to new upstream versioning.
  * Bump standards-version to 4.6.0.
  * New upstream release.
  * Refresh patch.
  * Drop dep on node-typescript-types (Closes: #979798).
  * Tighter dep on recent node-tslib.
  * Add a patch to unbreak compilation with recent tsc (Closes: #994545).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 21 Sep 2021 08:31:04 +0200

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,13 @@
                node-es6-promise,
                node-file-loader,
                node-style-loader,
-               node-tslib,
+               node-tslib (>= 2.3.1),
                node-typescript,
-               node-typescript-types,
                nodejs,
                dh-sequence-nodejs,
                rollup,
                webpack
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyterlab/lumino
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/js-team/lumino.git
@@ -25,7 +24,7 @@
 Package: node-lumino
 Architecture: all
 Multi-Arch: foreign
-Depends: nodejs, node-tslib, ${misc:Depends}
+Depends: node-tslib, ${misc:Depends}
 Provides: node-lumino-datastore, ${nodejs:Provides}
 Description: large set of libraries to develop Node.js applications
  This package provides these libraries :

## lumino 2021.10.25

=== debian/changelog ===
lumino (2021.10.25-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 02 Nov 2021 20:30:42 +0100

## lumino 2021.11.4

=== debian/changelog ===
lumino (2021.11.4-3) unstable; urgency=medium

  * Apply patch from Xavier Guimard, to detect breaks.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Nov 2021 11:59:15 +0100

lumino (2021.11.4-2) unstable; urgency=medium

  * Add a d/nodejs/extlinks to unbreak @lumino/polling (Closes: #1000672)

 -- Julien Puydt <jpuydt@debian.org>  Sat, 27 Nov 2021 09:39:29 +0100

lumino (2021.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Nov 2021 18:57:29 +0100

## lumino 2021.12.13

=== debian/changelog ===
lumino (2021.12.13-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 23 Dec 2021 14:04:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                node-style-loader,
                node-tslib (>= 2.3.1),
                node-typescript,
-               nodejs,
                dh-sequence-nodejs,
                rollup,
                webpack

=== debian/watch ===
version=4
https://github.com/jupyterlab/lumino/tags .*/v?([\d\.]+)\.tar\.gz

## lumino 2022.1.13

=== debian/changelog ===
lumino (2022.1.13-1) unstable; urgency=medium

  * Add dep on node-setimmediate, thanks Caleb Adepitan. (Closes: #1003884)
  * New upstream release.
  * Add patch to fix compilation with newer typescript.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 30 Mar 2022 17:38:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
                node-css-loader,
                node-es6-promise,
                node-file-loader,
+               node-setimmediate,
                node-style-loader,
                node-tslib (>= 2.3.1),
                node-typescript,

## lumino 2022.6.7

=== debian/changelog ===
lumino (2022.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 14 Jun 2022 23:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                dh-sequence-nodejs,
                rollup,
                webpack
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyterlab/lumino
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/js-team/lumino.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	set -e && for package in algorithm coreutils keyboard properties \
		collections domutils signaling virtualdom \
		disposable messaging \
		datastore dragdrop commands polling \
		widgets \
		application datagrid; do \
          (cd packages/$$package && echo "Compiling $$package" \
	   && tsc && rollup lib/*.js -f cjs -m -d dist) ; \
	done
	ln -s packages/ @lumino
	set -e && for example in example-datagrid ; do \
	  (cd examples/$$example && echo "Compiling $$example" \
	  && tsc && webpack) ; \
	done

## lumino 2023.7.27

=== debian/changelog ===
lumino (2023.7.27-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2023.7.27

 -- Yadd <yadd@debian.org>  Sat, 02 Sep 2023 11:29:11 +0400

lumino (2023.4.27-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 17 Jul 2023 17:18:00 +0400

lumino (2023.4.27-1) experimental; urgency=medium

  * Team upload
  * Upstream package:
    + improve debian/watch
    + exclude embedded yarn from import
    + new upstream version 2023.4.27
  * Add debian/clean
  * Drop patches: now useless
  * Update build
  * Examples:
    - drop example: needs a CSS plugin for rollup
    - no more install unbuild examples as main Node.js modules
  * Update docs: use dh_nodejs_autodocs
  * Fix autopkgtest
  * debian/control:
    + update standards version to 4.6.2, no changes needed.
    + drop build dependency to webpack
    + no more provides node-lumino-datastore
  * Update copyright years

 -- Yadd <yadd@debian.org>  Wed, 03 May 2023 08:38:37 +0400

=== debian/control ===
Source: lumino
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , mocha <!nocheck>
 , node-css-loader
 , node-es6-promise
 , node-file-loader
 , node-setimmediate
 , node-style-loader
 , node-tslib (>= 2.3.1)
 , node-typescript
 , rollup
Standards-Version: 4.6.2
Homepage: https://github.com/jupyterlab/lumino
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/js-team/lumino.git
Vcs-Browser: https://salsa.debian.org/js-team/lumino

Package: node-lumino
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
 , node-tslib
Provides: ${nodejs:Provides}
Description: large set of libraries to develop Node.js applications
 This package provides these libraries :
  * algorithm
  * application
  * commands
  * coreutils
  * disposable
  * domutils
  * dragdrop
  * keyboard
  * messaging
  * polling
  * properties
  * signaling
  * virtualdom
  * widgets
 .
 It used to be PhosphorJS.
 .
 Node.js is an event-based server-side JavaScript engine.

## lumino 2024.3.25

=== debian/changelog ===
lumino (2024.3.25-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.0
  * New upstream version 2024.3.25

 -- Yadd <yadd@debian.org>  Sat, 27 Apr 2024 08:29:49 +0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  , node-tslib (>= 2.3.1)
  , node-typescript
  , rollup
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jupyterlab/lumino
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/js-team/lumino.git

## lumino 2025.4.30

=== debian/changelog ===
lumino (2025.4.30-2) unstable; urgency=medium

  * Team upload
  * Compile with recent tsc (Closes: #1090007).

 -- Bastien Roucariès <rouca@debian.org>  Tue, 28 Oct 2025 00:37:23 +0100

lumino (2025.4.30-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.7.2
  * New upstream version 2025.4.30

 -- Yadd <yadd@debian.org>  Sun, 10 Aug 2025 21:11:18 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  , node-tslib (>= 2.3.1)
  , node-typescript
  , rollup
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/jupyterlab/lumino
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/js-team/lumino.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	set -e && for package in algorithm coreutils keyboard properties \
		collections domutils signaling virtualdom \
		disposable messaging \
		dragdrop commands polling \
		widgets \
		application datagrid; do \
          (cd packages/$$package && echo "Compiling $$package" \
	   && tsc && rollup lib/*.js -f cjs -m -d dist) ; \
	done
	# Needs a CSS plugin for rollup
	#ln -s ../../packages/datagrid node_modules/@lumino/
	#set -ex && for example in example-datagrid ; do \
	#  (cd examples/$$example && echo "Compiling $$example" \
	#  && tsc && rollup build/*.js -f cjs -m -d dist) ; \
	#done

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs
